XnStackT< T, TAlloc > Class Template Reference

`#include <XnStackT.h>`

Inheritance diagram for XnStackT< T, TAlloc >:
[legend]

## Public Types

typedef XnListT< T, TAlloc > | Base
typedef Base::ConstIterator | ConstIterator

## Public Member Functions

| XnStackT ()
| XnStackT (const XnStackT &other)
XnStackT & | operator= (const XnStackT &other)
| ~XnStackT ()
XnBool | IsEmpty () const
XnStatus | Push (T const &value)
XnStatus | Pop (T &value)
T const & | Top () const
T & | Top ()
ConstIterator | Begin () const
ConstIterator | End () const

## Additional Inherited Members

Protected Types inherited from XnListT< T, TAlloc >
typedef XnLinkedNodeT< T > | LinkedNode
typedef T | TValue
typedef TAlloc | TAllocator
Protected Member Functions inherited from XnListT< T, TAlloc >
XnStatus | InsertAfter (LinkedNode *pAfter, T const &val)
| XnListT ()
| XnListT (const XnListT &other)
XnListT & | operator= (const XnListT &other)
| ~XnListT ()
Iterator | Begin ()
ConstIterator | Begin () const
Iterator | End ()
ConstIterator | End () const
Iterator | ReverseBegin ()
ConstIterator | ReverseBegin () const
Iterator | ReverseEnd ()
ConstIterator | ReverseEnd () const
XnStatus | AddAfter (ConstIterator where, T const &value)
XnStatus | AddBefore (ConstIterator where, T const &value)
XnStatus | AddFirst (T const &value)
XnStatus | AddLast (T const &value)
ConstIterator | Find (T const &value) const
Iterator | Find (T const &value)
XnStatus | Remove (ConstIterator where)
XnStatus | Remove (T const &value)
XnStatus | Clear ()
XnBool | IsEmpty () const
XnUInt32 | Size () const
void | CopyTo (T *pArray) const
Protected Attributes inherited from XnListT< T, TAlloc >
LinkedNode | m_anchor
XnUInt32 | m_nSize

## Member Typedef Documentation

## Base

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

typedef XnListT<T, TAlloc> XnStackT< T, TAlloc >::Base

## ConstIterator

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

typedef Base::ConstIterator XnStackT< T, TAlloc >::ConstIterator

## Constructor & Destructor Documentation

## XnStackT() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStackT< T, TAlloc >::XnStackT | ( |  | ) |

inline

## XnStackT() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStackT< T, TAlloc >::XnStackT | ( | const XnStackT< T, TAlloc > & | other | ) |

inline

## ~XnStackT()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStackT< T, TAlloc >::~XnStackT | ( |  | ) |

inline

## Member Function Documentation

## Begin()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator XnStackT< T, TAlloc >::Begin | ( |  | ) | const

inline

## End()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

ConstIterator XnStackT< T, TAlloc >::End | ( |  | ) | const

inline

## IsEmpty()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnBool XnStackT< T, TAlloc >::IsEmpty | ( |  | ) | const

inline

## operator=()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStackT & XnStackT< T, TAlloc >::operator= | ( | const XnStackT< T, TAlloc > & | other | ) |

inline

## Pop()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStatus XnStackT< T, TAlloc >::Pop | ( | T & | value | ) |

inline

## Push()

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

XnStatus XnStackT< T, TAlloc >::Push | ( | T const & | value | ) |

inline

## Top() [1/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T & XnStackT< T, TAlloc >::Top | ( |  | ) |

inline

## Top() [2/2]

template<class T, class TAlloc = XnLinkedNodeDefaultAllocatorT<T>>

T const & XnStackT< T, TAlloc >::Top | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- XnStackT.h